Submit a batch of files to run through a specified workflow.
This endpoint allows you to efficiently initiate large batches of workflow runs in a single request (up to 1,000 in a single request, but you can queue up multiple batches in rapid succession). It accepts an array of inputs, each containing a file and metadata pair. The primary use case for this endpoint is for doing large bulk runs of >1000 files at a time that can process over the course of a few hours without needing to manage rate limits that would likely occur using the primary run endpoint. Unlike the single Run Workflow endpoint which returns the details of the created workflow runs immediately, this batch endpoint returns aDocumentation Index
Fetch the complete documentation index at: https://docs.extend.app/llms.txt
Use this file to discover all available pages before exploring further.
batchId.
Our recommended usage pattern is to integrate with Webhooks for consuming results, using the metadata and batchId to match up results to the original inputs in your downstream systems. However, you can integrate in a polling mechanism by using a combination of the List Workflow Runs endpoint to fetch all runs via a batch, and then Get Workflow Run to fetch the full outputs each run.
"1", "2") found on the Extend platform, or "draft" to use the current unpublished draft version.
When a version is not supplied, the latest deployed version of the workflow will be used.true signifies success.batchId associated with individual runs when listing workflow runs or in webhook payloads.batchId. The individual workflow runs are then queued for processing.
workflow_run.completed, workflow_run.failed, etc. The webhook payload for these events will include the corresponding batchId and the metadata you provided for each input.batchId query param.fileUrl or fileId). The response body will contain an error message detailing the specific validation issues. Can also indicate issues accessing a provided fileUrl.workflowId or version does not exist.